---
lang: en
title: 'API docs: openapi-spec-builder.operationspecbuilder.withcontrollername'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.operationspecbuilder.withcontrollername.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [OperationSpecBuilder](./openapi-spec-builder.operationspecbuilder.md) &gt; [withControllerName](./openapi-spec-builder.operationspecbuilder.withcontrollername.md)

## OperationSpecBuilder.withControllerName() method

Define the controller name (controller name).

<b>Signature:</b>

```typescript
withControllerName(name: string): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | <code>string</code> | The name of the controller containing this operation. |

<b>Returns:</b>

`this`


